function MECREFLG(effectData, creatureData)
	local me_modifier = EEex_ReadDword(effectData + 0x18)
	local me_operand = EEex_ReadDword(effectData + 0x1c)
	local me_cre_flags = EEex_ReadDword(creatureData + 0x424)
	if me_operand == 0 then
		me_cre_flags = me_modifier
	elseif me_operand == 1 then
		me_cre_flags = bit32.band(me_cre_flags, me_modifier)
	elseif me_operand == 2 then
		me_cre_flags = bit32.bor(me_cre_flags, me_modifier)
	elseif me_operand == 3 then
		me_cre_flags = bit32.bxor(me_cre_flags, me_modifier)
	elseif me_operand == 4 then
		me_cre_flags = bit32.band(me_cre_flags, bit32.bnot(me_modifier))
	end
	EEex_WriteDword(creatureData + 0x424, me_cre_flags)
end